# Class GZIIndex.IndexEntry

java.lang.Object
htsjdk.samtools.util.GZIIndex.IndexEntry

Enclosing class:
  `GZIIndex`

public static final class GZIIndex.IndexEntry extends Object
Index entry mapping the block-offset (compressed offset) to the uncompressed offset where the block starts.

See Also:
  - https://github.com/samtools/htslib/issues/473

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`long`
`getCompressedOffset()`
Returns the compressed offset (block-offset).
`long`
`getUncompressedOffset()`
Returns the uncompressed offset.
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Method Details

### getCompressedOffset

public long getCompressedOffset()
Returns the compressed offset (block-offset).

### getUncompressedOffset

public long getUncompressedOffset()
Returns the uncompressed offset.

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`